Skip to content

List recent notification logs for the authenticated account, newest first.

GET
/logs
curl --request GET \
--url https://api.pingram.io/logs \
--header 'Authorization: Bearer <token>'

Authorizations

Parameters

Query Parameters

limit
number

Maximum number of logs to return (default

cursor
string

Pagination cursor for next page

Responses

200

Successful response

Media typeapplication/json
object
messages
required
Array<object>
object
trackingId
required
string
eventType
required
string
timestamp
required
string
epochMs
required
number
inbox
string
from
string
fromName
string
subject
string
to
Array<string>
cc
Array<string>
bcc
Array<string>
replyTo
string
bodyText
string
bodyHtml
string
attachments
Array<object>
object
filename
required
string
contentType
required
string
size
required
number
contentId
string
media

Inbound MMS attachments (includes contentType when available).

Array<object>
object
url
required
string
contentType
string
messageId
string
inReplyTo
string
references
string
resolutionType
string
Allowed values: reply builtin custom inbound
nextCursor
string
Example
{
"messages": [
{
"resolutionType": "reply"
}
]
}

400

Bad Request - validation errors, invalid input

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

401

Unauthorized

402

Payment Required - usage limits exceeded

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

500

Internal Server Error

502

Bad Gateway - provider error

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}